For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Inventory by Location

Retrieves List of Inventory per location from the database.

Retrieve inventory data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.

get
Authorizations
AuthorizationstringRequired
Query parameters
product_idnumberOptional

A comma-separated list of product ids.

item_idstringOptional

A comma-separated list of item ids.

base_part_numberstringOptional

A comma-separated list of base part numbers.

item_numberstringOptional

A comma-separated list of item numbers.

storestringOptional

A comma-separated list of stores.

locationstringOptional

A comma-separated list of locations.

min_on_handstringOptional

Show inventory greater than or equal to quantity.

max_on_handstringOptional

Show inventory less than or equal to quantity.

quality_namestringOptional

A comma-separated list of quality names.

tagsstringOptional

Comma-separated tags used to filter matching records.

pagestringOptional

Page number for paginated responses.

Default: 1
account3pl_idstringOptional

3PL account identifier.

quality_codestringOptional

Inventory quality code used to filter inventory quantities.

Responses
200

OK

application/json
IsForwardRequestbooleanOptional
MessagestringOptional
MessageTitlestring · nullableOptional
ResultbooleanOptional
get/api/xerp/inventory/getinventorybylocation
GET /api/xerp/inventory/getinventorybylocation HTTP/1.1
Host: res.xorosoft.io
Authorization: Basic username:password
Accept: */*
200

OK

{
  "Data": [
    {
      "ATSQty": 0,
      "ATSQtyIncPO": 0,
      "AllocatedQty": 0,
      "AvailableQty": 9,
      "BasePartNumber": "BC",
      "ItemId": 30111,
      "ItemNumber": "BC",
      "LocationName": "MAIN WAREHOUSE - LOCATION-3PL",
      "NetAvailable": 9,
      "NotAvailableQty": 0,
      "OnHandQty": 9,
      "ProductHeaderId": 4669
    }
  ],
  "IsForwardRequest": false,
  "Message": "Inventory data loaded successfully",
  "MessageTitle": null,
  "Result": true
}

Last updated

Was this helpful?